Get Tool
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/tools/{tool_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tools/{tool_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"object": "tool",
"display_name": "<string>",
"description": "<string>",
"tool_type": {
"id": "<string>",
"name": "<string>",
"class_name": "<string>",
"object": "tool_type",
"description": "<string>",
"additional_info_schema": {},
"prompt": "<string>"
},
"additional_info": {},
"prompt": "<string>",
"input_schema": {},
"strict_mode": false,
"forward_user_auth": false,
"sources_restrictions": [],
"admin_tags": [],
"required_permissions": []
}Tools
Get Tool
Get a tool by ID.
GET
/
api
/
v1
/
tools
/
{tool_id}
Get Tool
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/tools/{tool_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tools/{tool_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/tools/{tool_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"object": "tool",
"display_name": "<string>",
"description": "<string>",
"tool_type": {
"id": "<string>",
"name": "<string>",
"class_name": "<string>",
"object": "tool_type",
"description": "<string>",
"additional_info_schema": {},
"prompt": "<string>"
},
"additional_info": {},
"prompt": "<string>",
"input_schema": {},
"strict_mode": false,
"forward_user_auth": false,
"sources_restrictions": [],
"admin_tags": [],
"required_permissions": []
}Authorizations
Path Parameters
Response
200 - application/json
OK
Response schema for tools.
Response schema for tool types.
Show child attributes
Show child attributes
